%global debug_package %{nil}

Name:           ocaml-ptmap
Version:        2.0.3
Release:        1%{?dist}
Summary:        Maps over integers implemented as Patricia trees

License:        LGPLv2+ with exceptions
URL:            https://github.com/backtracking/ptmap
Source0:        https://github.com/backtracking/ptmap/archive/v%{version}/%{name}-%{version}.tar.gz

# https://github.com/backtracking/ptmap/pull/9
Patch0:         https://github.com/backtracking/ptmap/commit/97849cd31363ac80306d714915d76dc5a06672cb.patch

BuildRequires:  ocaml
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-obuild
BuildRequires:  ocaml-qtest
BuildRequires:  ocaml-qcheck-devel
BuildRequires:  ocaml-ounit-devel
BuildRequires:  ocaml-ocamldoc

%description
OCaml implementation of an efficient maps over integers,
from a paper by Chris Okasaki.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name}%{?_isa} = %{version}-%{release}


%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.


%prep
%setup -q -n ptmap-%{version}
%patch0 -p1


%build
obuild configure --enable-tests
make unit_tests.ml
obuild build
obuild build lib-ptmap
make doc


%install
export DESTDIR=$RPM_BUILD_ROOT
export OCAMLFIND_DESTDIR=$RPM_BUILD_ROOT%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR
obuild install --destdir $OCAMLFIND_DESTDIR

%check
obuild test --output


%files
%license LICENSE
%{_libdir}/ocaml/ptmap
%ifarch %{ocaml_native_compiler}
%exclude %{_libdir}/ocaml/ptmap/*.a
%exclude %{_libdir}/ocaml/ptmap/*.cmxa
%exclude %{_libdir}/ocaml/ptmap/*.cmx
%endif


%files devel
%doc doc/*
%license LICENSE
%ifarch %{ocaml_native_compiler}
%{_libdir}/ocaml/ptmap/*.a
%{_libdir}/ocaml/ptmap/*.cmxa
%{_libdir}/ocaml/ptmap/*.cmx
%endif


%changelog
* Fri Dec 22 2017 Andy Li <andy@onthewings.net> - 2.0.3-1
- Initial RPM release.
